MONGOC_URI_SET_OPTION_AS_INT64(3)

NAME
mongoc_uri_set_option_as_int64 - mongoc_uri_set_option_as_int64()

SYNOPSIS

        bool
        mongoc_uri_set_option_as_int64 (const mongoc_uri_t *uri,
                                        const char *option,
                                        int64_t value);

PARAMETERS

    •   uri: A mongoc_uri_t.

    •   option: The name of an option, case insensitive.

    •   value: The new value.

DESCRIPTION

Sets an individual URI option, after the URI has been parsed from a string.

Only known options of type int32 or int64 can be set. For 32-bit integer options, the function returns false when trying to set a 64-bit value that exceeds the range of an int32_t. Values that fit into an int32_t will be set correctly. In both cases, a warning will be emitted.

Updates the option in-place if already set, otherwise appends it to the URI's bson_t of options.

RETURNS

True if successfully set (the named option is a known option of type int64).

SEE ALSO:
        mongoc_uri_option_is_int64()

        mongoc_uri_set_option_as_int32()

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc